﻿using System;

namespace Mindsharp.WebParts.Public
{
  public partial class VisualPartControl :
    System.Web.UI.UserControl
  {
    public string ControlProperty { get; set; }

    // Events are wired-up in the ASCX markup
    protected void Button1_Click(object sender, EventArgs e)
    {
      Label1.Text = DateTime.Now.ToString();
    }

    private VisualPart thisPart = default(VisualPart);

    protected override void OnInit(EventArgs e)
    {
      base.OnInit(e);

      // Obtain a type-safe reference to the Web Part class
      thisPart = this.Parent as VisualPart;
    }

    protected override void OnPreRender(EventArgs e)
    {
      base.OnPreRender(e);

      Label2.Text = Server.HtmlEncode(thisPart.PartProperty);
    }

  }
}